Bug 1417 - Being added automatically in CCed when posting a comment
: Being added automatically in CCed when posting a comment
Product: maemo.org Website
: 4.1
: All Linux
: High enhancement (vote)
: ---
Assigned To: Karsten Bräckelmann
: https://bugzilla.mozilla.org/show_bug...
  Show dependency tree
Reported: 2007-05-13 19:51 UTC by Quim Gil
Modified: 2008-09-01 23:13 UTC (History)
2 users (show)

See Also:



You need to log in before you can comment on or make changes to this bug.

Description Quim Gil (reporter) nokia 2007-05-13 19:51:58 UTC
In other bugzillas you get in the loop of a bug if you send a comment about it.
Optionally you can take yourself out of the CC. This makes sense.

Our bugzilla currently adds you in the CC only if you explicitly check the box.
Yes, it's pretty easy but for some reasons many of us forget.

If there is an easy way to change the default, great. If not, please ignore
this request.

Comment 1 Neil MacLeod maemo.org 2007-05-18 04:20:46 UTC
I usually end up posting a comment, then have to go back and add myself to the

If I can be bothered to add a comment, I am sufficiently interested to track
progress of the bug towards resolution, in which case I automatically want to
receive email updates whenever there is an update to a bug I have commented on.

Auto-adding me to the CC list makes a lot of sense.

Comment 2 Jake Kunnari 2007-05-22 15:04:00 UTC
Moved to correct Product and Component.
Comment 3 Quim Gil (reporter) nokia 2007-05-29 06:24:26 UTC
Changing priority. This looks like a simple configuration somewhere in bugzilla
admin. Not being automatically CCed is causing a lot of inefficiency, please
fix it when you have the time.

Comment 4 Niels Breet maemo.org 2007-05-31 19:16:34 UTC
Oh +1 on this. I also tend to forget it the first time round and have to go
back to add myself to cc.
Comment 5 Jake Kunnari 2007-09-03 11:59:39 UTC
Resolving this as LATER, this feature will come if/when we upgrade bugzilla to
version 3.0.XX.
Comment 6 Quim Gil (reporter) nokia 2007-11-08 11:05:39 UTC
*** Bug 2236 has been marked as a duplicate of this bug. ***
Comment 7 Quim Gil (reporter) nokia 2007-11-08 11:07:30 UTC
> if/when we upgrade bugzilla to version 3.0.XX.

Jake, are you sure? I have seen this feature implemented in the bugzillas I
work with since always (meaning at least 4 years ago).
Comment 8 Quim Gil (reporter) nokia 2008-07-26 23:06:11 UTC
Andre, any word on this one?
Comment 9 Andre Klapper maemo.org 2008-07-26 23:16:01 UTC
Upstream ticket is https://bugzilla.mozilla.org/show_bug.cgi?id=7710 and
there's a patch by Olav.
And I hate "RESOLVED LATER". :)
Comment 10 Karsten Bräckelmann 2008-07-26 23:48:32 UTC
Ah, goodie.  Mind if I take it? :)
Comment 11 Andre Klapper maemo.org 2008-07-26 23:51:34 UTC
You are welcome. ;-)
Comment 12 Karsten Bräckelmann 2008-08-24 19:59:52 UTC
Implemented in test bugzilla.  Needs a little bit more testing.
Comment 13 Ryan Abel maemo.org 2008-08-24 21:20:56 UTC
Out of interest, can this be turned off in user prefs? I typically limit my
CCing to bugs that I'm directly interested in and track the rest with a "Recent
Changes" search (much like the wiki's
http://wiki.maemo.org/Special:Recentchanges page).
Comment 14 Karsten Bräckelmann 2008-08-24 22:30:54 UTC
Ah, sorry, I should have been more verbose rather than keeping the details for
later. Thanks, Ryan. :)  Did I mention I got a cold, headache, and generally am
not myself today? ;)

Yes, of course, this can be turned off.

It is a user configurable preference (will turn up in the General Preferences
section) and you got the choice between "Always", "Never" and "Only if I have
no role on them". The latter being the (site) default.

Also, this will not supersede the current "Add [me] to Cc list" checkbox below
the comment field -- but control it's per-user default behavior only and
automatically check it as per the setting. One still has the option to check or
uncheck it on a case-by-case basis.

The user preference of "Never" will be the current behavior, and translates to
"never check the Cc option" auto-magically.
Comment 15 Karsten Bräckelmann 2008-09-01 23:13:14 UTC
Fixed in SVN.  Will be pushed to the live bugzilla the next few days.